Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.data
Class Prenotazioni

    java.lang.Object
      archive.data.Prenotazioni

All Implemented Interfaces:
  Prenotation

    public class Prenotazioni

extends java.lang.Object
implements Prenotation

Una classe che rappresenta le prenotazioni ,estende `AbstractPrenotation`

Constructor Summary
`Prenotazioni(java.lang.String nome)` Costruisce una prenotazione

Method Summary
`boolean` | `add(Prenotazione p)` Aggiunge una prenotazione all'`elenco`
`java.util.Set<Prenotazione>` | `getElenco()` Ritorna l'elenco delle prenotazioni
`java.lang.String` | `getNomeVillaggio()` Ritorna il nome del villaggio
`Prenotazione` | `getPrenotazione(java.lang.String cognome, int numWeek)` Ritorna una prenotazione
`java.util.Set<Prenotazione>` | `getPrenotazioniWeek(int numWeek)` Ritorna tutte le prenotazioni di una settimana
`boolean` | `isPresentClient(Cliente c)` Implementa il metodo dell'interfaccia `Prenotation`
`boolean` | `isPresentClient(Cliente c, int n)` Controlla se un cliente ha una prenotazione in una determinata settimana
`boolean` | `remove(Prenotazione p)` Rimuove una prenotazione
`boolean` | `remove(java.lang.String cognome, int numWeek)` Rimuove una prenotazione
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Prenotazioni

    public Prenotazioni(java.lang.String nome)

  Costruisce una prenotazione

  Parameters:
    `nome` - nome del villaggio

Method Detail

### add

    public boolean add(Prenotazione p)

  Aggiunge una prenotazione all'`elenco`

  Parameters:
    `p` - prenotazione
  Returns:
    true se prenotazione aggiunta

### remove

    public boolean remove(java.lang.String cognome,
                          int numWeek)

  Rimuove una prenotazione

  Parameters:
    `cognome` - cognome del cliente
    `numWeek` - numero della settimana
  Returns:
    true se rimosso

### remove

    public boolean remove(Prenotazione p)

  Rimuove una prenotazione

  Parameters:
    `p` - prenotazione
  Returns:
    true se rimossa

### getNomeVillaggio

    public java.lang.String getNomeVillaggio()

  Ritorna il nome del villaggio

  Returns:
    nome del villaggio

### getElenco

    public java.util.Set<Prenotazione> getElenco()

  Ritorna l'elenco delle prenotazioni

  Returns:
    `elenco` delle prenotazioni

### getPrenotazione

    public Prenotazione getPrenotazione(java.lang.String cognome,
                                        int numWeek)

  Ritorna una prenotazione

  Parameters:
    `cognome` - del cliente
    `numWeek` - numero di settimana
  Returns:
    la prenotazione
  Throws:
    `java.lang.IllegalArgumentException` - 1<`numWeek`>52

### getPrenotazioniWeek

    public java.util.Set<Prenotazione> getPrenotazioniWeek(int numWeek)

  Ritorna tutte le prenotazioni di una settimana

  Parameters:
    `numWeek` - numero della settimana
  Returns:
    un seti di prenotazione avente stesso numero settimana
  Throws:
    `java.lang.IllegalArgumentException` - 1<`numWeek`>52

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isPresentClient

    public boolean isPresentClient(Cliente c)

  Implementa il metodo dell'interfaccia `Prenotation`

  Specified by:
    `isPresentClient` in interface `Prenotation`
  Parameters:
    `c` - cliente
  Returns:
    true se presente

### isPresentClient

    public boolean isPresentClient(Cliente c,
                                   int n)

  Controlla se un cliente ha una prenotazione in una determinata settimana

  Parameters:
    `c` - cliente
    `n` - numero della settimana
  Returns:
    true se presente

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD